## mdp 1.30.0

=== DESCRIPTION ===
Package: mdp
Title: Molecular Degree of Perturbation calculates scores for
        transcriptome data samples based on their perturbation from
        controls
Version: 1.30.0
Authors@R: c(person("Melissa", "Lever", email = "melissalever@gmail.com", role = c("aut")), person("Pedro", "Russo", email = "pedro.russo@usp.br", role = c("aut")),
            person("Helder", "Nakaya", email = "hnakaya@usp.br", role = c("aut", "cre")))
Description: The Molecular Degree of Perturbation webtool quantifies the heterogeneity of samples. It takes a data.frame of omic data that contains at least two classes (control and test) and assigns a score to all samples based on how perturbed they are compared to the controls. It is based on the Molecular Distance to Health (Pankla et al. 2009), and expands on this algorithm by adding the options to calculate the z-score using the modified z-score (using median absolute deviation), change the z-score zeroing threshold, and look at genes that are most perturbed in the test versus control classes. 
URL: https://mdp.sysbio.tools/
biocViews: BiomedicalInformatics, QualityControl, Transcriptomics,
        SystemsBiology, Microarray, QualityControl
Depends: R (>= 4.0)
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Imports: ggplot2, gridExtra, grid, stats, utils
Suggests: testthat, knitr, rmarkdown, fgsea, BiocManager
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/mdp
git_branch: RELEASE_3_22
git_last_commit: 188c090
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: no
Packaged: 2025-10-30 04:53:35 UTC; biocbuild
Author: Melissa Lever [aut],
  Pedro Russo [aut],
  Helder Nakaya [aut, cre]
Maintainer: Helder Nakaya <hnakaya@usp.br>

## mdp 1.31.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Molecular Degree of Perturbation calculates scores for
         transcriptome data samples based on their perturbation from
         controls
-Version: 1.30.0
+Version: 1.31.0
 Authors@R: c(person("Melissa", "Lever", email = "melissalever@gmail.com", role = c("aut")), person("Pedro", "Russo", email = "pedro.russo@usp.br", role = c("aut")),
             person("Helder", "Nakaya", email = "hnakaya@usp.br", role = c("aut", "cre")))
 Description: The Molecular Degree of Perturbation webtool quantifies the heterogeneity of samples. It takes a data.frame of omic data that contains at least two classes (control and test) and assigns a score to all samples based on how perturbed they are compared to the controls. It is based on the Molecular Distance to Health (Pankla et al. 2009), and expands on this algorithm by adding the options to calculate the z-score using the modified z-score (using median absolute deviation), change the z-score zeroing threshold, and look at genes that are most perturbed in the test versus control classes. 
@@ -18,13 +18,13 @@
 Suggests: testthat, knitr, rmarkdown, fgsea, BiocManager
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/mdp
-git_branch: RELEASE_3_22
-git_last_commit: 188c090
+git_branch: devel
+git_last_commit: d77d61e
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-10-30
 NeedsCompilation: no
-Packaged: 2025-10-30 04:53:35 UTC; biocbuild
+Packaged: 2025-10-30 21:50:18 UTC; biocbuild
 Author: Melissa Lever [aut],
   Pedro Russo [aut],
   Helder Nakaya [aut, cre]

## mdp 3.2

=== debian/changelog ===
mdp (3.2-1) unstable; urgency=low

  [ Yaroslav Halchenko ]
  * Boosted policy compliance to 3.9.2 (no changes needed)
  * Tiziano now maintains -- I upload

  [ Tiziano Zito ]
  * New upstream release
  * New release adds support for shogun 1.0 (Closes: #645583)
  * Use dh_python2 instead of deprecated python-support (Closes: #645585)
  * Introduced unittesting at package build time
  * Do not build-depend on shogun-python-modular until version 1.0.0 is
    available on non-amd64 platforms

 -- Tiziano Zito <opossumnano@gmail.com>  Mon, 24 Oct 2011 16:01:00 +0200

mdp (3.1-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 31 Mar 2011 08:37:07 -0400

mdp (3.0+git8-g921253a-2) unstable; urgency=low

  * Conflict with libsvm << 3.0 since we cannot have versioned recommends.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 02 Mar 2011 09:15:36 -0500

mdp (3.0+git8-g921253a-1) unstable; urgency=low

  * New upstream release (with few post-release tune-ups).
  * Boosted policy compliance to 3.9.1 (no changes needed)
  * Adding joblib, scikits-learn into Recommends, and py to Suggests

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 25 Jan 2011 13:57:24 -0500

mdp (2.6-1) unstable; urgency=low

  * New upstream release -- thanks!  Absorbed 5 patches from upstream git which
    were done post-release to address issues which came up during packaging
  * Adding upstream's git as the source remote for upstream sources
  * Switching license for Debian packaging to match upstream license
    (was under GPL before whenever upstream is LGPL)
  * Updated upstream's copyright (new member and new years)
  * Recommends python-shogun-modular and python-libsvm,
    and Enhances python-mvpa
  * Boosted policy complience to 3.8.4 (no additional changes)
  * Ship upstream's CHANGES as a changelog, NEW_DEVELOPER_INFO.txt in docs.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 May 2010 17:26:53 -0400

mdp (2.5-1) unstable; urgency=low

  * New Upstream Version: can use symeig accepted as a part of scipy package,
    python-symeig is obsolete now, so mdp recommends scipy now
  * Boosted policy complience to 3.8.1 (no changes needed)
  * Added ${misc:Depends} to Depends (thanks lintian)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Jun 2009 18:45:46 -0400

mdp (2.4+svn20081126-1) unstable; urgency=low

  * New Upstream Upstream Version + SVN snapshot since (Closes: #487939)
  * Suggests python-pp (tandem with pp is still alpha/unstable, thus only
    in suggests)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Oct 2008 13:48:02 -0400

mdp (2.3+svn20080720-1) unstable; urgency=low

  * New Upstream Version
  * Boosted policy complience to 3.8.0 (no changes needed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 20 Jul 2008 11:37:39 -0400

mdp (2.3+svn20080515-3) UNRELEASED; urgency=low

  * Adjusted vcs paths in the header

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 17 Jul 2008 11:23:24 -0400

mdp (2.3+svn20080515-2) unstable; urgency=low

  * Recommends symeig
  * Fixed copyright file with correct years

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 30 May 2008 09:38:35 -0400

mdp (2.3+svn20080515-1) unstable; urgency=low

  * New Upstream Version

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 15 May 2008 14:28:29 -0400

mdp (2.2+svn20080321-1) unstable; urgency=low

  * New Upstream Version
  * Temporarily modified debian/watch to overcome problem with sf.net redirector

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 21 Mar 2008 16:59:48 -0400

mdp (2.1+svn20080122-1) unstable; urgency=low

  * Initial release (Closes: #461634)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Jan 2008 16:41:20 -0500

=== debian/control ===
Source: mdp
Section: python
Priority: optional
Maintainer: Tiziano Zito <opossumnano@gmail.com>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: cdbs (>=0.4.90~),
               debhelper (>= 5.0.38),
               python-all (>=2.6.6-3~),
               python-numpy,
               python-libsvm,
               python-joblib,
               python-scikits-learn,
               python-pp
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Vcs-Browser: http://git.onerussian.com/?p=deb/mdp.git
Vcs-git: http://git.onerussian.com/vcs/deb/mdp.git
Homepage: http://mdp-toolkit.sourceforge.net/

Package: python-mdp
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy
Recommends: python-scipy,
            shogun-python-modular,
            python-libsvm,
            python-joblib,
            python-scikits-learn,
            python-pp
Suggests: python-py
Enhances: python-mvpa
Description: Modular toolkit for Data Processing
 Python data processing framework for building complex data processing software
 by combining widely used machine learning algorithms into pipelines and
 networks. Implemented algorithms include: Principal Component Analysis (PCA),
 Independent Component Analysis (ICA), Slow Feature Analysis (SFA), Independent
 Slow Feature Analysis (ISFA), Growing Neural Gas (GNG), Factor Analysis,
 Fisher Discriminant Analysis (FDA), and Gaussian Classifiers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_CHANGELOGS_ALL := CHANGES

install/python-mdp:: test-build

#$(CURDIR)/debian/python-mdp$(INSTALL_PATH)/usr/lib/$$PYTHON/site-packages;

test-build:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	for buildver in $(cdbs_python_build_versions); do \
        echo "I: Runnig MDP unittests using $$PYTHON"; \
        MDPPATH=$(cdbs_python_destdir)/$(call cdbs_expand_python_distutils_installdir,python$$buildver); \
        python$$buildver $$MDPPATH/mdp/test/run_tests.py $$MDPPATH/mdp \
                         $$MDPPATH/bimdp; \
    done
	: # Prune compiled code which could have been generated during testing
	/usr/bin/find -iname __pycache__ -print0 -o -iname \*.pyc -print0 \
	| xargs -r -0 rm -fr
endif

## mdp 3.2+git28-g4243e9c

=== debian/changelog ===
mdp (3.2+git28-g4243e9c-1) unstable; urgency=low

  [Tiziano Zito]
  * New git snapshot
  * More sklearn wrappers
  * Fix sklearn wrappers for version 0.10
  * Fix reload support
  * Fix wrong sorting of eigenvectors in degenerate case for SVD
  * Silence sklearn warnings for version >= 0.9
  * Updated git repo information in README.Debian-source
  * Added shogun-python-modular to Build-Depends now that it is available
    on all major platforms
  * Updated debian-branch name in gbp.conf 

 -- Tiziano Zito <opossumnano@gmail.com>  Thu, 19 Jan 2012 18:32:19 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                python-libsvm,
                python-joblib,
                python-scikits-learn,
-               python-pp
+               python-pp,
+               shogun-python-modular
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
 Vcs-Browser: http://git.onerussian.com/?p=deb/mdp.git

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,5 @@
                          $$MDPPATH/bimdp; \
     done
 	: # Prune compiled code which could have been generated during testing
-	/usr/bin/find -iname __pycache__ -print0 -o -iname \*.pyc -print0 \
-	| xargs -r -0 rm -fr
+	/usr/bin/find \( -name __pycache__ -o -name \*.pyc \) -delete
 endif

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Rely on numerical ID of the project
# http://sourceforge.net/project/showfiles.php?group_id=116959&package_id=127225  .*MDP-([\d\.]+)\.tar\.gz.*
http://sf.net/mdp-toolkit/MDP-(.+)\.tar\.gz

## mdp 3.2+git78-g7db3c50

=== debian/changelog ===
mdp (3.2+git78-g7db3c50-3) unstable; urgency=low

  * New upstream git snapshot
  * Add package for Python 3 (Closes: #645584)
  * Switch from cdbs to debhelper (>= 7, squeeze) and
    dh_python* tools
  * Do not build depend on shogun-python-modular
  * Updated Vcs-* fields in source package
  * Added patches for easier backporting to squeeze and
    several Ubuntu releases
  * Upload sponsored by Yaroslav Halchenko

 -- Tiziano Zito <opossumnano@gmail.com>  Sat, 14 Apr 2012 14:22:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE=1

PYTHON2:=$(shell pyversions -vr)

# Check if python3-numpy is available
# This is needed until python3-numpy is uploaded to sid to
# simplify backporting to squeeze and older ubuntus
DH_PYTHON3_STR:=$(shell python3 -c 'import numpy' > /dev/null 2>&1 && \
                  echo ",python3" || echo "")
PYTHON3:=$(shell python3 -c 'import numpy' > /dev/null 2>&1 && \
           py3versions -vr || echo "")


PYTHONALL:=$(PYTHON2) $(PYTHON3)

include /usr/share/python/python.mk

INSTALLPATH:=$(CURDIR)/debian/tmp

%:
	dh $@ --with python2$(DH_PYTHON3_STR)

# override dh_auto_install is not needed once dh_python3 knows
# how to install python3 modules... 
override_dh_auto_install: 
	dh_auto_install --destdir=$(INSTALLPATH)
	set -e && for v in $(PYTHON3); do \
	  python$$v setup.py install $(py_setup_install_args) \
	      --root=$(INSTALLPATH); \
	done
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -xe && for v in $(PYTHONALL); do \
	  LOC=$(INSTALLPATH)$(call py_libdir_sh, $$v); \
	  python$$v $$LOC/mdp/test/run_tests.py $$LOC/mdp $$LOC/bimdp; \
	done
	: # Prune compiled code which could have been generated during testing
	find \( -name __pycache__ -o -name \*.pyc -o -name \*.egg-info \) -delete
endif

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

override_dh_auto_clean:
	dh_auto_clean
	find -name build -type d -print0 | xargs -0 /bin/rm -r -f
	find \( -name __pycache__ -o -name \*.pyc -o -name \*.egg-info \) -delete

## mdp 3.3

=== debian/changelog ===
mdp (3.3-1) unstable; urgency=low

  * New upstream bug-fix release
    (list only changes not already in Debian)
    - Make random failing SFA2Node tests more robust
    - Make random failing FastICANode tests more robust
    - Fix sklearn wrappers for version 0.11 (sid) and 0.12 (experimental)
      (Closes: #689028)
    - Disable pp support if pp server can not be started
      (Closes: #689027)
  * Fix seed in built-time testing of Debian package (Closes: #687408)
  * Upload sponsored by Yaroslav Halchenko

 -- Tiziano Zito <opossumnano@gmail.com>  Wed, 26 Sep 2012 10:28:55 +0200

=== debian/control ===
Source: mdp
Section: python
Priority: optional
Maintainer: Tiziano Zito <opossumnano@gmail.com>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>=2.6.6-3~),
               python-numpy,
               python-libsvm,
               python-joblib,
               python-scikits-learn | python-sklearn,
               python-pp,
               python3-all,
               python3-numpy
X-Python3-Version: >= 3.1
X-Python-Version: >= 2.5
Standards-Version: 3.9.3
Vcs-Browser: https://github.com/mdp-toolkit/mdp-toolkit/tree/debian
Vcs-git: git://github.com/mdp-toolkit/mdp-toolkit.git
Homepage: http://mdp-toolkit.sourceforge.net/

Package: python-mdp
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-numpy
Recommends: python-scipy,
            python-libsvm,
            python-joblib,
            python-scikits-learn | python-sklearn,
            python-pp
Suggests: python-py, shogun-python-modular
Enhances: python-mvpa
Description: Modular toolkit for Data Processing
 Python data processing framework for building complex data processing software
 by combining widely used machine learning algorithms into pipelines and
 networks. Implemented algorithms include: Principal Component Analysis (PCA),
 Independent Component Analysis (ICA), Slow Feature Analysis (SFA), Independent
 Slow Feature Analysis (ISFA), Growing Neural Gas (GNG), Factor Analysis,
 Fisher Discriminant Analysis (FDA), and Gaussian Classifiers.
 .
 This package contains MDP for Python 2.

Package: python3-mdp
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-numpy
Description: Modular toolkit for Data Processing
 Python data processing framework for building complex data processing software
 by combining widely used machine learning algorithms into pipelines and
 networks. Implemented algorithms include: Principal Component Analysis (PCA),
 Independent Component Analysis (ICA), Slow Feature Analysis (SFA), Independent
 Slow Feature Analysis (ISFA), Growing Neural Gas (GNG), Factor Analysis,
 Fisher Discriminant Analysis (FDA), and Gaussian Classifiers.
 .
 This package contains MDP for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #DH_VERBOSE=1
+
+RSEED:=1029384756
 
 PYTHON2:=$(shell pyversions -vr)
 
@@ -32,7 +34,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -xe && for v in $(PYTHONALL); do \
 	  LOC=$(INSTALLPATH)$(call py_libdir_sh, $$v); \
-	  python$$v $$LOC/mdp/test/run_tests.py $$LOC/mdp $$LOC/bimdp; \
+	  python$$v $$LOC/mdp/test/run_tests.py --seed $(RSEED) $$LOC/mdp $$LOC/bimdp; \
 	done
 	: # Prune compiled code which could have been generated during testing
 	find \( -name __pycache__ -o -name \*.pyc -o -name \*.egg-info \) -delete

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Rely on numerical ID of the project
http://sf.net/mdp-toolkit/MDP-(.+)\.tar\.gz

## mdp 3.3+git6-g7bbd889

=== debian/changelog ===
mdp (3.3+git6-g7bbd889-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 21 Nov 2012 11:43:25 -0500

mdp (3.3+git6-g7bbd889-1) experimental; urgency=low

  * New upstream git snapshot
  * Introduce coarse_limit to trigger switching to fine_g before
    reaching target limit
  * Upload sponsored by Yaroslav Halchenko

 -- Tiziano Zito <opossumnano@gmail.com>  Wed, 21 Nov 2012 10:19:15 +0100

## mdp 3.3+git19-g4ec2f29

=== debian/changelog ===
mdp (3.3+git19-g4ec2f29-1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Applied additional patch from debian/patches/squeeze-dsc-patch-
    nopython3.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 29 Sep 2014 11:03:46 -0400

mdp (3.3+git19-g4ec2f29-1) unstable; urgency=medium

  * "New" upstream git snapshot
    - resolves FTBFS by a workaround of faulty unicode encoding in
      sklearn docstrings (Closes: #724146)
  * debian/rules 
    - run tests from within a corresponding tests directory

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Sep 2014 08:46:33 -0400

=== debian/control ===
Source: mdp
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Tiziano Zito <opossumnano@gmail.com>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>=2.6.6-3~),
               python-numpy,
               python-libsvm,
               python-joblib,
               python-scikits-learn | python-sklearn,
               python-pp,
X-Python-Version: >= 2.5
Standards-Version: 3.9.3
Vcs-Browser: https://github.com/mdp-toolkit/mdp-toolkit/tree/debian
Vcs-git: git://github.com/mdp-toolkit/mdp-toolkit.git
Homepage: http://mdp-toolkit.sourceforge.net/

Package: python-mdp
Architecture: all
Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, python-numpy
Recommends: python-scipy,
            python-libsvm,
            python-joblib,
            python-scikits-learn | python-sklearn,
            python-pp
Suggests: python-py, shogun-python-modular
Enhances: python-mvpa
Description: Modular toolkit for Data Processing
 Python data processing framework for building complex data processing software
 by combining widely used machine learning algorithms into pipelines and
 networks. Implemented algorithms include: Principal Component Analysis (PCA),
 Independent Component Analysis (ICA), Slow Feature Analysis (SFA), Independent
 Slow Feature Analysis (ISFA), Growing Neural Gas (GNG), Factor Analysis,
 Fisher Discriminant Analysis (FDA), and Gaussian Classifiers.
 .
 This package contains MDP for Python 2.

## mdp 3.5

=== debian/changelog ===
mdp (3.5-1ubuntu1) artful; urgency=medium

  * Add d/patches/failing-py36-test.patch to disable a check that fails with
    Python 3.6.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 17 Jul 2017 10:35:17 +1200

mdp (3.5-1) unstable; urgency=medium

  * New upstread release
    - fix failures with ancient Python versions
  * Upload sponsored by Yaroslav Halchenko

 -- Tiziano Zito <opossumnano@gmail.com>  Tue, 08 Mar 2016 14:17:15 +0100

mdp (3.4-1) unstable; urgency=medium

  * New upstream release
    - resolves (Closes: #811470)
  * Packaging updated to follow current standards
  * Upload sponsored by Yaroslav Halchenko

 -- Tiziano Zito <opossumnano@gmail.com>  Fri, 04 Mar 2016 10:35:29 +0100

=== debian/control ===
Source: mdp
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tiziano Zito <opossumnano@gmail.com>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>=2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-numpy,
               python3-numpy,
               python-future,
               python3-future,
               python-pytest,
               python3-pytest,
               python-joblib,
               python3-joblib,
               python-sklearn,
               python3-sklearn,
               python-libsvm,
               python-pp,
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.6
Vcs-Browser: https://github.com/mdp-toolkit/mdp-toolkit/tree/debian
Vcs-git: git://github.com/mdp-toolkit/mdp-toolkit.git
Homepage: http://mdp-toolkit.sourceforge.net/

Package: python-mdp
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-numpy, python-future
Recommends: python-pytest,
            python-scipy,
            python-libsvm,
            python-joblib,
            python-sklearn,
            python-pp,
Enhances: python-mvpa2
Description: Modular toolkit for Data Processing
 Python data processing framework for building complex data processing software
 by combining widely used machine learning algorithms into pipelines and
 networks. Implemented algorithms include: Principal Component Analysis (PCA),
 Independent Component Analysis (ICA), Slow Feature Analysis (SFA), Independent
 Slow Feature Analysis (ISFA), Growing Neural Gas (GNG), Factor Analysis,
 Fisher Discriminant Analysis (FDA), and Gaussian Classifiers.
 .
 This package contains MDP for Python 2.

Package: python3-mdp
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python-numpy, python-future
Recommends: python3-pytest,
            python3-scipy,
            python3-joblib,
            python3-sklearn,
Description: Modular toolkit for Data Processing
 Python data processing framework for building complex data processing software
 by combining widely used machine learning algorithms into pipelines and
 networks. Implemented algorithms include: Principal Component Analysis (PCA),
 Independent Component Analysis (ICA), Slow Feature Analysis (SFA), Independent
 Slow Feature Analysis (ISFA), Growing Neural Gas (GNG), Factor Analysis,
 Fisher Discriminant Analysis (FDA), and Gaussian Classifiers.
 .
 This package contains MDP for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME = mdp
RSEED:=1029384756

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} -m pytest --seed=$(RSEED) mdp && {interpreter} -m pytest --seed=$(RSEED) bimdp" dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

## mdp 3.6

=== debian/changelog ===
mdp (3.6-10) unstable; urgency=medium

  * Team upload.
  * Port to numpy 2.0 (closes: #1095026, #1095356).
  * Update Homepage (closes: #1068499).

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Feb 2025 18:32:52 +0000

mdp (3.6-9) unstable; urgency=medium

  * Team upload.
  * Update _NON_EXTENSION_ATTRIBUTES for Python 3.13 (closes: #1088752).
  * Run autopkgtests on all supported Python versions, not all requested
    versions.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Dec 2024 21:01:01 +0000

mdp (3.6-8) unstable; urgency=medium

  * Team upload.
  * Depend on python3-all for autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Apr 2024 08:17:37 +0200

mdp (3.6-7) unstable; urgency=medium

  * Team upload
  * Patch: Migrate from inspect.getfullargspec to inspect.signature
  * Patch: compatibility with 32bit arches (Closes: #1063418)
  * Patch: Deprecation of numpy.typeDict

 -- Bastian Germann <bage@debian.org>  Fri, 19 Apr 2024 17:48:15 +0200

mdp (3.6-6) unstable; urgency=medium

  * Team upload.
  * forgot to remove one more python3-future dependency
  * tweak patch to avoid FTBFS on 32 bit platform

 -- Alexandre Detiste <tchet@debian.org>  Tue, 16 Jan 2024 00:21:43 +0100

mdp (3.6-5) unstable; urgency=medium

  * Team upload.
  * future: vendor a local copy of past.utils.old_div()
  * add build-dep & test-dep on python3-zombie-imp

  [ Andreas Tille ]
  * Patch out future (Closes: #1056423)
  * Drop python3-future from Build-Depends
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Trim trailing whitespace.
  * watch file standard 4 (routine-update)
  * Drop debian/.gitignore
  * Add upstream metadata

 -- Alexandre Detiste <tchet@debian.org>  Sat, 13 Jan 2024 13:31:14 +0100

mdp (3.6-4) unstable; urgency=medium

  * Team upload.
  * Revert back to Arch: all and restrict autopkgtest architectures instead

 -- Timo Röhling <roehling@debian.org>  Sat, 15 Jul 2023 23:10:27 +0200

mdp (3.6-3) unstable; urgency=medium

  * Team upload.
  * Drop obsolete import of py.test (Closes: #1040581)

 -- Timo Röhling <roehling@debian.org>  Wed, 12 Jul 2023 22:05:11 +0200

mdp (3.6-2) unstable; urgency=medium

  * Team upload.
  * Migrate package to Debian Python Team
  * Solve deprecation of numpy.typeDict issue
    Closes: #1002393, #999526
  * Testsuite: autopkgtest-pkg-python
  * debian/salsa-ci.yml
  * Add non-trivial autopkgtest
  * Package works only on 64 bit, thus restrict architectures

 -- Andreas Tille <tille@debian.org>  Tue, 18 Apr 2023 11:28:17 +0200

mdp (3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #960037)

 -- Paul Gevers <elbrus@debian.org>  Sat, 27 Jun 2020 21:41:34 +0200

mdp (3.6-1) unstable; urgency=medium

  * New upstream release (Closes: #867515)
  * Drop Python 2 package
  * Upload sponsored by Yaroslav Halchenko

 -- Tiziano Zito <opossumnano@gmail.com>  Fri, 24 Apr 2020 18:32:06 +0200

=== debian/control ===
Source: mdp
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tiziano Zito <opossumnano@gmail.com>,
           Yaroslav Halchenko <debian@onerussian.com>
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-numpy,
               python3-scipy,
               python3-joblib,
               python3-sklearn,
               python3-libsvm,
               python3-zombie-imp,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/mdp
Vcs-Git: https://salsa.debian.org/python-team/packages/mdp.git
Homepage: https://mdp-toolkit.github.io/
Rules-Requires-Root: no

Package: python3-mdp
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-numpy
Recommends: python3-pytest,
            python3-scipy,
            python3-joblib,
            python3-sklearn,
            python3-libsvm,
Description: Modular toolkit for Data Processing
 Python data processing framework for building complex data processing software
 by combining widely used machine learning algorithms into pipelines and
 networks. Implemented algorithms include: Principal Component Analysis (PCA),
 Independent Component Analysis (ICA), Slow Feature Analysis (SFA), Independent
 Slow Feature Analysis (ISFA), Growing Neural Gas (GNG), Factor Analysis,
 Fisher Discriminant Analysis (FDA), and Gaussian Classifiers.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME = mdp
RSEED:=725021957

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} -m pytest --seed=$(RSEED) mdp && {interpreter} -m pytest --seed=$(RSEED) bimdp" dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

=== debian/tests/control ===
Tests: run-unit-test
Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
Depends: @, python3-pytest, python3-zombie-imp, python3-all
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/MDP/MDP-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
